using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Zad1
{
    class Program
    {
        static void Main(string[] args)
        {
            int N;
            int L; 

            string UlazLinija = Console.ReadLine();
            string[] ArrUlazLinija = UlazLinija.Split(' ');

            N = Convert.ToInt32(ArrUlazLinija[0]);
            L = Convert.ToInt32(ArrUlazLinija[1]);

            //visine stalaktita
            UlazLinija = Console.ReadLine();
            ArrUlazLinija = UlazLinija.Split(' ');

            int[] Stalaktiti = new  int[N];

            for(int i =0; i<N; i++)
            {
                Stalaktiti[i] = Convert.ToInt32(ArrUlazLinija[i]);
            }

            int stopInd = -1; 
            for(int i=0; i<N;i++)
            {
                if (Stalaktiti[i] <=L)
                {
                    stopInd = i + 1;
                    break;
                }
            }

            Console.WriteLine(stopInd);

            Console.ReadKey();
        }
    }
}